The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Perl Upgrade 5.8.7 Causing Issues

Discussion in 'General Discussion' started by keywordguy, Mar 1, 2006.

  1. keywordguy

    keywordguy Registered

    Joined:
    Mar 1, 2006
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    A week ago one of my dedicated servers was automatically upgraded from Perl version 5.8.5 to version 5.8.7

    Since the upgrade many if not most of my cgi scripts or software have stopped working. The odd thing is some scripts will not work in IE...others will work in NS.

    I've gone back and fourth with my bandwidth provider / server admin for a week and still no resolution.

    Is anyone aware of Perl / cgi issues after upgrading to Perl version 5.8.7? Any ideas or possible solutions greatly appreciated.
     
  2. AndyReed

    AndyReed Well-Known Member
    PartnerNOC

    Joined:
    May 29, 2004
    Messages:
    2,222
    Likes Received:
    3
    Trophy Points:
    38
    Location:
    Minneapolis, MN
    Try intsalling Perl manually, at the prompt. You also need to see if Perl modules are not corrupted or deleted.
     
  3. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    cPanel should never upgrade perl. It's most likely that you haven't excluded it from your OS update app (up2date or yum) and so that is what made the change.

    I'd recommend using the http://layer1.cpanel.net perl package, with which I've never had a problem.
     
Loading...

Share This Page